
Name:           gkrellm
Version:        2.3.10
Release:        %mkrel 1
Summary:        Multiple stacked system monitors
Group:          Monitoring
License:        GPLv3+
URL:            http://gkrellm.net
Source0:        http://gkrellm.srcbox.net/releases/%{name}-%{version}.tar.bz2
Source1:        gkrellm-pt.po
Source4:        gkrellm-themes.tar.bz2
Source6:        gkrellmd.service
BuildRequires:  gettext
BuildRequires:  gtk+2-devel
BuildRequires:  imagemagick
BuildRequires:  openssl-devel
BuildRequires:  libsm-devel
BuildRequires:	libntlm-devel
BuildRequires:  lm_sensors-devel

%description
GKrellM charts SMP CPU, load, Disk, and all active net interfaces
automatically. An on/off button and online timer for the PPP interface
is provided. Monitors for memory and swap usage, file system, internet
connections, APM laptop battery, mbox style mailboxes, and cpu temps.
Also includes an uptime monitor, a hostname label, and a clock/calendar.
Additional features are:

  * Autoscaling grid lines with configurable grid line resolution.
  * LED indicators for the net interfaces.
  * A gui popup for configuration of chart sizes and resolutions.

%package    devel
Summary:    Include files for gkrellm
Group:      Development/Other
Requires:   %{name} = %{version}

%description    devel
gkrellm header files for gkrellm development and plugin support.


%package server
Summary:        Server component for gkrellm
Group:          Monitoring
Requires(post):  rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1

%description    server
The server component allows you to monitor a server remotely from 
a client running gkrellm, without installing gkrellm on the server.


%prep
%setup -q
%setup -q -D -T -a4
for i in `find -type d -name .xvpics`
    do rm -rf $i
done
# make it lib64 aware
perl -pi -e "/PLUGINS_DIR/ and s|/lib/|/%{_lib}/|g" ./src/gkrellm.h ./server/gkrellmd.h
perl -pi -e "s|/lib/|/%{_lib}/|" Makefile
# Portuguese translation
install -m 644 %{S:1} po/pt.po

%build
%make INSTALLROOT=%{_prefix} \
      INCLUDEDIR=%{_includedir} \
      CFLAGS="%optflags" \
      LDFLAGS="%ldflags" \
      LOCALEDIR=%{_datadir}/locale

%install
mkdir -p %{buildroot}/%{_bindir}
make install \
    INSTALLROOT=%{buildroot}%{_prefix} \
    INSTALLDIR=%{buildroot}/%{_bindir} \
    INCLUDEDIR=%{buildroot}%{_includedir} \
    MANDIR=%{buildroot}%{_mandir}/man1 \
    LOCALEDIR=%{buildroot}%{_datadir}/locale \
    STRIP=""

mkdir -p %{buildroot}%{_libdir}/%{name}2/plugins

mkdir -p %{buildroot}{%{_iconsdir},%{_liconsdir},%{_miconsdir}}
convert src/icon.xpm -geometry 48x48 %{buildroot}%{_liconsdir}/%{name}.png
convert src/icon.xpm -geometry 32x32 %{buildroot}%{_iconsdir}/%{name}.png
convert src/icon.xpm -geometry 16x16 %{buildroot}%{_miconsdir}/%{name}.png

mkdir -p %{buildroot}%{_datadir}/%{name}2/themes
cp -av gkrellm-themes/* %{buildroot}%{_datadir}/%{name}2/themes

install -d -m 755 %{buildroot}%{_datadir}/applications
cat >  %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop << EOF
[Desktop Entry]
Name=Gkrellm
Comment=A GTK-based monitoring app
Exec=%{_bindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=GTK;System;Monitor;
EOF

install -D -p -m 0644 server/gkrellmd.conf %{buildroot}%{_sysconfdir}/gkrellmd.conf
install -D -p -m 0644 %{SOURCE6} %{buildroot}%{_unitdir}/gkrellmd.service

%multiarch_includes %{buildroot}%{_includedir}/gkrellm2/gkrellm.h
%multiarch_includes %{buildroot}%{_includedir}/gkrellm2/gkrellmd.h

%{find_lang} %{name}

# lock dir
install -d -m 755 %{buildroot}%{_localstatedir}/lock/gkrellm
chmod 1777 %{buildroot}%{_localstatedir}/lock/gkrellm


%files -f %{name}.lang
%doc COPYRIGHT Changelog INSTALL README *.html
%{_bindir}/gkrellm
%{_datadir}/applications/%{_real_vendor}-%{name}.desktop
%{_iconsdir}/gkrellm.png
%{_liconsdir}/gkrellm.png
%{_miconsdir}/gkrellm.png 
%{_mandir}/man1/gkrellm.1*
%{_libdir}/gkrellm2
%{_datadir}/gkrellm2/

%files devel
%doc *.html
%{_includedir}/gkrellm2
%{_libdir}/pkgconfig/gkrellm.pc
%multiarch %{_includedir}/multiarch-*/gkrellm2

%files server
%config(noreplace) %{_sysconfdir}/gkrellmd.conf
%{_unitdir}/gkrellmd.service
%{_bindir}/gkrellmd
%{_mandir}/man1/gkrellmd.1*


%changelog
* Mon Jan 02 2017 bcornec <bcornec> 2.3.10-1.mga6
+ Revision: 1079633
- Update to upstream gkrellm 2.3.10

* Sat Sep 03 2016 bcornec <bcornec> 2.3.7-1.mga6
+ Revision: 1049844
- Remove now useless patch for gkrellm
-Update to upstream 2.3.7

* Wed Mar 02 2016 umeabot <umeabot> 2.3.5-13.mga6
+ Revision: 983431
- Rebuild for openssl

* Mon Feb 08 2016 umeabot <umeabot> 2.3.5-12.mga6
+ Revision: 943227
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.3.5-11.mga5
+ Revision: 743895
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.3.5-10.mga5
+ Revision: 679601
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.3.5-9.mga4
+ Revision: 515904
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 colin <colin> 2.3.5-8.mga3
+ Revision: 374639
- Drop /var/lock/gkrellm dir. Code creates it internally
- Drop sysvinit script (no longer used)
- No need for syslog.target in modern systemd

* Sat Jan 12 2013 umeabot <umeabot> 2.3.5-7.mga3
+ Revision: 351657
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 29 2012 bcornec <bcornec> 2.3.5-6.mga3
+ Revision: 300024
- next gkrellm build is -6
- Fix #6754 (https://bugs.mageia.org/show_bug.cgi?id=6754) by fixing gkrellmd location in the systemd conf file.

* Sat Apr 28 2012 tmb <tmb> 2.3.5-5.mga2
+ Revision: 233710
- Require rpm-helper >= 0.24.8-1 for systemd support

* Wed Apr 18 2012 guillomovitch <guillomovitch> 2.3.5-4.mga2
+ Revision: 231338
- spec cleanup
- systemd support

  + ze <ze>
    - avoid useless macros
    - differentiate folders
    - add portuguese translation
    - remove clean section

* Tue Apr 26 2011 wally <wally> 2.3.5-2.mga1
+ Revision: 91664
- fix desktop file (mga#954)

* Fri Mar 25 2011 ennael <ennael> 2.3.5-1.mga1
+ Revision: 77466
- clean spec file
- imported package gkrellm

